name: kbase_use
cmd:
  - start: |
      source_ros
      stdbuf -oL -eL roslaunch mappr_server_kbase mappr_server_kbase.launch kbase_config_path:=${PATH_TO_KBASE_CONFIG}
  - check: |
      source_ros
      rosnode list | grep -e /knowledge_base$ & rosnode list | grep -e /mappr_server_kbase$
tags:
  - kbase
requires:
  - mongod
host: ${basepc}

#original vdemo definition
#"roslaunch, $basepc, -v PACKAGE=mappr_server_kbase -v LAUNCHFILE=mappr_server_kbase.launch -t use_kbase -v ARGS=\"kbase_config_path\:=\${PATH_TO_KBASE_CONFIG}\" -l -g KBASE -L 9:"
